# ``SecretKit``

SecretKit is a collection of protocols describing secrets and stores.

## Topics

### Base Protocols

- ``Secret``
- ``SecretStore``
- ``SecretStoreModifiable``

### Store List

- ``SecretStoreList``

### Type Erasers

- ``AnySecret``
- ``AnySecretStore``
- ``AnySecretStoreModifiable``

### OpenSSH 

- ``OpenSSHKeyWriter``
- ``OpenSSHReader``

### Signing Process

- ``SigningRequestProvenance``

### Authentication Persistence

- ``PersistedAuthenticationContext``

### Errors

- ``KeychainError``
- ``SigningError``
- ``SecurityError``
